// --------------------------------------------------------------------------
// helper function
// Date
function dateTime()
{
var currentDateTime = new Date();
var hours = currentDateTime.getHours();
var minutes = currentDateTime.getMinutes();
var seconds = currentDateTime.getSeconds();
var milli_seconds = currentDateTime.getMilliseconds();
var day = currentDateTime.getDate();
var month = currentDateTime.getMonth() + 1;
var year = currentDateTime.getFullYear();

var out = "";

	//date
	if (day < 10) {day = "0" + day;}      
	if (month < 10) {month = "0" + month;}
	out = out + "<b>" +"  @ "  + day + "." + month + "." + year + "</b>";

      // add time 
	if (milli_seconds < 10) {milli_seconds = "00" + milli_seconds;} 
      else if (milli_seconds < 100) {milli_seconds = "0" + milli_seconds;} 
	if (seconds < 10) {seconds = "0" + seconds;}
	if (minutes < 10) {minutes = "0" + minutes;}
	if (hours < 10) {hours = "0" + hours;}  

	out = out + " " + "<b>" + hours + ":" + minutes+ ":" + seconds + ","+ milli_seconds+  " " + "</b>";

	return out;       
}

function dateTime_plain()
{
var currentDateTime = new Date();
var hours = currentDateTime.getHours();
var minutes = currentDateTime.getMinutes();
var seconds = currentDateTime.getSeconds();
var milli_seconds = currentDateTime.getMilliseconds();
var day = currentDateTime.getDate();
var month = currentDateTime.getMonth() + 1;
var year = currentDateTime.getFullYear();

var out = "";

	//date
	if (day < 10) {day = "0" + day;}      
	if (month < 10) {month = "0" + month;}
	out = out + day + "." + month + "." + year;

      // add time 
	if (milli_seconds < 10) {milli_seconds = "00" + milli_seconds;} 
      else if (milli_seconds < 100) {milli_seconds = "0" + milli_seconds;} 
	if (seconds < 10) {seconds = "0" + seconds;}
	if (minutes < 10) {minutes = "0" + minutes;}
	if (hours < 10) {hours = "0" + hours;}  

	out = out + " " + hours + ":" + minutes+ ":" + seconds + "."+ milli_seconds;

	return out;       
}
